<script type="text/javascript">
var myurl_ins=@{!model.myurl_ins};
var myurl_del=@{!model.myurl_del};

var cuntpic=$("#showlist").children().length;

    




function show_imgcrop(result){
    switch(result.status){
        case 200:
                Hnotification({status:"success",Ttext:"",Ctext:result.message});
                cuntpic++;
                if(cuntpic>=@{!model.limitPic}){
                        document.getElementById("frmAX").style.display="none";
                }
                var arrayBufferView = new Uint8Array(result.data.data);
                let blob = new Blob( [ arrayBufferView ], { type: "image/jpeg" } );
                var urlCreator = window.URL || window.webkitURL;
                var imageUrl = urlCreator.createObjectURL( blob );
                //$("#shower").children().eq(0).children().eq(0).children().eq(1).attr("src",imageUrl);
                //alert(JSON.stringify(imageUrl));
        
                // var pickin='<div class="Hcol-xlg-3 Hcol-lg-3 Hcol-xmd-3 Hcol-md-6 Hcol-xsm-6 Hcol-sm-12 Hcol-xs-12 Hcol-xss-12"><div class="imgholder" style="background-image: url('+imageUrl+');">';
                // @{if model.delete}
                //         pickin+='<i class="fas fa-times-circle remove-img" data-id="'+result.id+'" data-num="'+result.num+'"></i>';
                // @{fi}
                // pickin+='</div></div>';
                var pickin='<figure class="Nimgholder"><img src="'+imageUrl+'" height="100"/>';
                @{if model.delete}
                        pickin+='<i class="fas fa-times-circle remove-img" data-id="'+result.id+'" data-num="'+result.num+'"></i>';
                @{fi}
                pickin+='</figure>';
                $("#showlist").append(pickin); 
                resetbtn();
                break;
        default:
        Hnotification({status:"warning",Ttext:" خطلا : ",Ctext:result.message});
  }
 }


 @{if model.delete}


 function show_delimgRes(resdel,obj){
        if(resdel.status==200){
                obj.parent().remove();
                Hnotification({status:"success",Ttext:"",Ctext:resdel.message});
                
                cuntpic--;
                if(cuntpic<=@{!model.limitPic}){
                        document.getElementById("frmAX").style.display="block";
                }
        }else{
                Hnotification({status:"warning",Ttext:" خطلا : ",Ctext:resdel.message});
                
        }
}       

 @{fi}





$(document).ready(function(){
    changeshower("none","block");
    $("#btnnorm").click(function(){changeshower("none","block");});
    $("#btncrop").click(function(){changeshower("block","none");});
    function changeshower(a,b){
        $("#cropimg").css("display",a);
        $("#normalimg").css("display",b);
        
    }
    @{if model.delete}
    $(document).on("click", "i.remove-img" ,async function(){
        let x=confirm("آیا اطمینان دارید که می خواهید این تصویر را حذف کنید؟\nدر صورت تایید امکان بازیابی تصویر وجود نخواهد داشت");
        var query="id="+$(this).attr("data-id")+"&num="+$(this).attr("data-num");
        if(x){
              var resdel=await jqajax(myurl_del,query,"get","loader");
              show_delimgRes(resdel,$(this));
       }

    });
    
    @{fi}
});





</script>

